### Class

# FwupdPlugin AcpiTable

since: 1.0

#### Description [src]

    class FwupdPlugin.AcpiTable : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

An generic ACPI table.

See also: `FuFirmware`

Available since: 1.0

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_acpi_table_new

Creates a new `FuFirmware`.

since: 1.8.11

#### Instance methods

###### fu_acpi_table_get_oem_id

Gets an optional OEM ID.

since: 1.8.11

###### fu_acpi_table_get_oem_revision

Gets the OEM revision.

since: 1.8.11

###### fu_acpi_table_get_oem_table_id

Gets an optional OEM table ID.

since: 1.8.11

###### fu_acpi_table_get_revision

Gets the revision of the table.

since: 1.8.11

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct FwupdPluginAcpiTableClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`
  No description available.